<?php

namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00002000ModeloPropostaEscopoService;

class Sm00009000DocumentoModeloContratoController extends SMCrud {
    
    protected $dataSourceName = "fct_modelodoccontr_widget";
    
    public function __construct($crudService, $environment) {
        parent::__construct($crudService, $environment);
    }
    
    public function deletarDocumentos(Request\DataSet $request, Response $response) {
        try {
            $row = $request->getDataSet()->getRows()[0];
            $nrorcadocs = explode(", ", $row["NRSEQMODELOCCONTR"]);
            
            foreach ($nrorcadocs as $nrorcadoc) {
                $row["NRSEQMODELOCCONTR"] = $nrorcadoc;
                parent::delete($request, $response);
            }
        }
        catch(\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}

?>